services:
  postgres:
    image: postgres:18-alpine
    container_name: icare_db-postgres
    restart: unless-stopped
    environment:
      POSTGRES_USER: ${POSTGRES_USER:-icare_user}
      POSTGRES_PASSWORD: ${POSTGRES_PASSWORD:-icare_password}
      POSTGRES_DB: ${POSTGRES_DB:-icare_db}
    ports:
      - "54320:5432"
    volumes:
      - postgres_data:/var/lib/postgresql/data
    healthcheck:
      test: ["CMD-SHELL", "pg_isready -U ${POSTGRES_USER:-icare_user} -d ${POSTGRES_DB:-icare_db}"]
      interval: 10s
      timeout: 5s
      retries: 5

volumes:
  postgres_data:
    driver: local
